<template>
    <div>
        <form v-if="this.$store.state.signup.signup.signups_enabled" @submit.prevent="handleSubmit" class="login-form">
            <h1>Signup</h1>
            <label for="email">Email: </label>
            <input name="email" id="email" type="email" required />
            <label for="username">Username: </label>
            <input name="username" id="username" required />
            <label for="password">Password: </label>
            <input name="password" id="password" type="password" required />
            <label for="password_confirmation">Password confirmation: </label>
            <input
                name="password_confirmation"
                id="password_confirmation"
                type="password"
                required
            >
            <input type="submit" value="Submit">
        </form>

        <div v-if="!this.$store.state.signup.signup.signups_enabled" class="box">
            <div class="box-header"><h1>Sign ups disabled</h1></div>
            <p>The admin of this instance has disabled sign ups</p>
        </div>

    </div>
</template>
<script>
    import axios from 'axios'

    export default {
        created: function () {
            this.$store.dispatch('show_signup')
        },
        methods: {
            handleSubmit(event) {
                let formData = new FormData(event.target)
                axios.post('/api/' + 'auth/', formData)
                    .then(function (response) {
                        localStorage.setItem('access-token', response.headers['access-token'])
                        localStorage.setItem('client', response.headers.client)
                        localStorage.setItem('uid', response.headers.uid)
                        localStorage.setItem('token-type', response.headers['token-type'])
                        window.location.replace("/")
                    }).catch(response => {
                        console.log(response.response)
                        this.$notify({
                            group: 'error',
                            title: 'Error ' + response.response.status,
                            duration: -1,
                            text:  response.response.data.errors.full_messages
                        });
                    }
                )
            }
        }
    }
</script>
